<?php

namespace App\Policies;

use App\Models\ApllyNowSubmission;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class ApllyNowSubmissionPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create applynowsubmission', 'edit applynowsubmission', 'view applynowsubmission', 'delete applynowsubmission'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ApllyNowSubmission $applyNowSubmission): bool
    {
        return $user->hasPermissionTo('view applynowsubmission');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create applynowsubmission');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ApllyNowSubmission $applyNowSubmission): bool
    {
        return $user->hasPermissionTo('edit applynowsubmission');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ApllyNowSubmission $applyNowSubmission): bool
    {
        return $user->hasPermissionTo('delete applynowsubmission');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ApllyNowSubmission $applyNowSubmission): bool
    {
        return $user->hasPermissionTo('restore applynowsubmission');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ApllyNowSubmission $applyNowSubmission): bool
    {
        return $user->hasPermissionTo('force delete applynowsubmission');
    }
}
